% preg. 1, lab 6, 521230, S2-2013
x = [-2 -1 0 1 2];
y = [-25 -4 -1 8 47];

% Polinomios que ajustan (x,y)
% Existe un unico polinomio de grado menor o igual que 4 que interpola a
% los puntos en la tabla
% En general existen infinitos polinomios de grado menor o igual que k (k >
% 4) que interpolan a los puntos en la tabla

p1 = polyfit(x,y,1);
p2 = polyfit(x,y,2);
p3 = polyfit(x,y,3);
p4 = polyfit(x,y,4);
p5 = polyfit(x,y,5);

xplot = linspace(-2,2);
figure()
plot(x,y,'ro');
hold on
plot(xplot,polyval(p1,xplot),'b');

figure()
plot(x,y,'ro');
hold on
plot(xplot,polyval(p2,xplot),'k');

figure()
plot(x,y,'ro');
hold on
plot(xplot,polyval(p3,xplot),'.b');

figure()
plot(x,y,'ro');
hold on
plot(xplot,polyval(p4,xplot),'r');

figure()
plot(x,y,'ro');
hold on
plot(xplot,polyval(p5,xplot),'.k');

q = [1 0 -1 3 6 -1];
figure()
plot(x,y,'ro');
hold on
plot(xplot,polyval(q,xplot),'.k');
